Subject: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2023 11:27:34 +0200

> From: Markus Triska <[email-masked]>
> Cc: martin rudalics <[email-masked]>,  [email-masked]
> Date: Sun, 10 Dec 2023 09:12:28 +0100
> 
> then "hello" is fully visible in the minibuffer, as expected! The
> existence and prior, even only temporary, selection of another frame
> unexpectedly prevents the entire minibuffer content to be shown. My
> expectation would be for another frame to have no influence here.

The other frame affects this because when redisplay redraws a frame,
it temporarily selects that frame, and that selection can resize the
mini-window, something that Lisp programs don't expect to happen.  To
prevent such unwarranted resizing, we disabled it while any other
frame is temporarily selected.  See bug#24285.